| OpenZWave Library 1.6.0

Public Types | Public Attributes | List of all members
OpenZWave::HttpDownload Struct Reference

`#include <Http.h>`

## Public Types
enum | DownloadType { None, File, Config, MFSConfig }
enum | Status { Ok, Failed }

## Public Attributes
string | filename
string | url
uint8 | node
DownloadType | operation
Status | transferStatus

## Member Enumeration Documentation

## ◆ DownloadType

enum OpenZWave::HttpDownload::DownloadType

Enumerator
None |
File |
Config |
MFSConfig |

## ◆ Status

enum OpenZWave::HttpDownload::Status

Enumerator
Ok |
Failed |

## Member Data Documentation

## ◆ filename

string OpenZWave::HttpDownload::filename

## ◆ node

uint8 OpenZWave::HttpDownload::node

## ◆ operation

DownloadType OpenZWave::HttpDownload::operation

## ◆ transferStatus

Status OpenZWave::HttpDownload::transferStatus

## ◆ url

string OpenZWave::HttpDownload::url

The documentation for this struct was generated from the following file:

- Http.h